<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 24/7/2018
 * Time: 5:33 AM
 */
include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['nombre'])) {
            $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
            $condominio = $Valido->retornarDatos($creadoPor);
            $nombre = $_REQUEST['nombre'];
            $identificador = uniqid('couta',true);
            $validar  = R::findOne( 'couta', 'nombre =:nombreC AND id_condominio =:id_condominioc AND estado =:estado',array('nombreC' => $_REQUEST['nombre'], 'id_condominioc' => $condominio['condominio_id'], 'estado'=>$_REQUEST['estado']));
            if (is_null($validar)==TRUE){
                $propietarios = R::findAll('usuario', 'condominio_id =:condominio AND tipo_usuario =:tipo_usuario AND estado =:estado', array('condominio' => $condominio['condominio_id'], 'tipo_usuario' => '7', 'estado' => '1'));
                foreach ($propietarios as $prop){
                    $propiedad  = R::load('propiedad', $prop['id_propiedad']);
                    $coutas = R::dispense('couta');
                    $coutas->nombre = $nombre;
                    $coutas->idenficador = $identificador;
                    $coutas->monto = $propiedad['couta_mantenimiento'];
                    $coutas->id_condominio = $condominio['condominio_id'];
                    $coutas->id_autor = $creadoPor;
                    $coutas->fechaRegistro = date('Y-m-d H:i:s');
                    $coutas->fechaModificacion = date('Y-m-d H:i:s');
                    $coutas->estado = 1;
                    $id = R::store($coutas);
                    include '../comun/mensajeCreado.php';
                }
            }else{
                include '../comun/mensajeYaExiste.php';
            }
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}